# License

A license is a legal text by which we grant others some rights that we hold over certain work. For our thing a license is what enables us to legally implement [free (as in freedom) software](free_software.md): we attach a license to our program that says that we grant to everyone the basic freedom rights to our software with optional conditions (which are not in conflict with free software definition, e.g. we may require [attribution](attribution.md) or [copyleft](copyleft.md)). We call these licenses *free licenses* ([open source](open_source.md) licenses work the same way). Of course, there also exist [non-free](proprietary.md) licenses called [EULAs](eula.md), but we stay away from these.

Some most notable free licenses for software include (FSF: FSF approved, OSI: OSI approved, LRS: approved by us, short: is the license short?):

| license                 | type                    | FSF | OSI | LRS |short|
| ----------------------- | ----------------------- | --- | --- | --- | --- |
| [Apache 2](apache.md)   | permissive, conditions  |**+**|**+**|  -  |  -  |
| [AGPL](agpl.md)         | network copyleft        |**+**|**+**|  -  |  -  |
| [BSD (0,1,2,3)](bsdl.md)| permissive              |**+**|**+**|  -  |**+**|
| [BOML](boml.md)         | permissive              |  -  |  -  |  -  |**+**|
| [CC0](cc0.md)           | PD waiver, 0 conditions |**+**|  -  |**+**|  -  |
| [GPLv2, GPLv3](gpl.md)  | copyleft (strong)       |**+**|**+**|  -  |  -  |
| [LGPL](lgpl.md)         | copyleft (weak)         |**+**|**+**|  -  |  -  |
| [MIT](mitl.md)          | permissive, credit      |**+**|**+**|**+**|**+**|
| [MIT-0](mitl.md)        | permissive, 0 conditions|  -  |**+**|**+**|**+**|
|[Unlicense](unlicense.md)| PD waiver, 0 conditions |**+**|**+**|**+**|**+**|
| [WTFPL](wtfpl.md)       | permissive, fun         |**+**|  -  |  -  |**+**|
| [zlib](zlib.md)         | permissive              |**+**|**+**|  -  |**+**|
| [0BSD](bsdl.md)         | permissive, 0 conditions|  -  |**+**|**+**|**+**|

Some most notable free licenses for general artworks include:

TODO